[Pkg-haskell-commits] darcs: ghc: Import of ghc6_6.8.2-3.dsc

Ian Lynagh (wibble) igloo at debian.org
Sat Jan 15 06:07:17 UTC 2011


Mon Mar 24 22:09:02 UTC 2008  Ian Lynagh (wibble) <igloo at debian.org>
  * Import of ghc6_6.8.2-3.dsc

    M ./changelog +13
    M ./rules +1
    A ./watcher.sh

Mon Mar 24 22:09:02 UTC 2008  Ian Lynagh (wibble) <igloo at debian.org>
  * Import of ghc6_6.8.2-3.dsc
diff -rN -u old-ghc/changelog new-ghc/changelog
--- old-ghc/changelog	2011-01-15 06:07:17.516019522 +0000
+++ new-ghc/changelog	2011-01-15 06:07:17.632025632 +0000
@@ -1,3 +1,16 @@
+ghc6 (6.8.2-3) unstable; urgency=low
+
+  * Every 10 minutes, print any "ps ux" lines that mention gcc or ghc.
+    According to folks on IRC, this is standard practice. It means that
+    we don't have to worry about security buildds having different
+    timeouts to the normal builders.
+  * Apply upstream patch:
+        FIX #2073: Don't add empty lines to GHCI's history
+        Ian Lynagh <igloo at earth.li>**20080224143256
+    Closes: #461170.
+
+ -- Ian Lynagh (wibble) <igloo at debian.org>  Mon, 24 Mar 2008 22:09:02 +0000
+
 ghc6 (6.8.2-2) unstable; urgency=low
 
   * Apply upstream patch:
diff -rN -u old-ghc/rules new-ghc/rules
--- old-ghc/rules	2011-01-15 06:07:17.516019522 +0000
+++ new-ghc/rules	2011-01-15 06:07:17.616024789 +0000
@@ -78,6 +78,7 @@
 build: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
+	sh debian/watcher.sh "$$PPID" "`pwd`" "`pwd`/build-stamp" 'ghc\|gcc' &
 	$(MAKE)
 
 	# Do some very simple tests that the compiler actually works
diff -rN -u old-ghc/watcher.sh new-ghc/watcher.sh
--- old-ghc/watcher.sh	1970-01-01 00:00:00.000000000 +0000
+++ new-ghc/watcher.sh	2011-01-15 06:07:17.632025632 +0000
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+if [ "$#" -ne 4 ]
+then
+    echo "Watcher: Bad args: $#"
+    exit 1
+fi
+
+CHECK_PID=$1
+DIR="$2"
+FILE="$3"
+GREP_FOR="$4"
+
+echo "Check PID: $CHECK_PID"
+echo "Directory: $DIR"
+echo "File: $FILE"
+echo "Grep for: $GREP_FOR"
+
+# If the PID we are told still exists (our caller is still running),
+# the directory we are told (the working directory still exists) and
+# the file we are told doesn't exist (the build stamp hasn't been created)
+# keep going
+while ps "$CHECK_PID" > /dev/null &&
+      [ -d "$DIR" ] &&
+      [ ! -f "$FILE" ]
+do
+    sleep 600
+    ps ux | grep -- "$GREP_FOR" | grep -v grep
+done
+
+echo "Watcher terminating."
+





More information about the Pkg-haskell-commits mailing list